Bug 26087 - Add table configuration and export options to orders by fund report
Summary: Add table configuration and export options to orders by fund report
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 19282
  Show dependency treegraph
 
Reported: 2020-07-29 13:48 UTC by Owen Leonard
Modified: 2020-09-04 20:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26087: Add table configuration and export options to orders by fund report (4.35 KB, patch)
2020-07-29 15:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26087: Add table configuration and export options to orders by fund report (4.42 KB, patch)
2020-08-04 15:44 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26087: Add table configuration and export options to orders by fund report (4.47 KB, patch)
2020-08-07 13:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-29 13:48:42 UTC
The orders by fund report is already displayed as a DataTable. We should add table settings with columns configuration so that the standard DataTable controls are shown too.
Comment 1 Owen Leonard 2020-07-29 15:01:48 UTC
Created attachment 107514 [details] [review]
Bug 26087: Add table configuration and export options to orders by fund report

This patch adds column configuration to the orders by funds report
results table. The "Basket" column is excluded from being togglable.

To test, apply the patch and clear your browser cache if necessary.

- Go to Reports -> Orders by fund
- Submit parameters which will return multiple results.
- Test that the "Column visibility" button works to show and hide
  columns. The "Basket" column should be excluded.
- Test the export options (Excel, CSV, etc)
- Go to Administration -> Columns settings and edit the default
  configuration of the orders by fund report. Confirm that these changes
  are reflected in the report results.
Comment 2 ByWater Sandboxes 2020-08-04 15:44:55 UTC
Created attachment 107788 [details] [review]
Bug 26087: Add table configuration and export options to orders by fund report

This patch adds column configuration to the orders by funds report
results table. The "Basket" column is excluded from being togglable.

To test, apply the patch and clear your browser cache if necessary.

- Go to Reports -> Orders by fund
- Submit parameters which will return multiple results.
- Test that the "Column visibility" button works to show and hide
  columns. The "Basket" column should be excluded.
- Test the export options (Excel, CSV, etc)
- Go to Administration -> Columns settings and edit the default
  configuration of the orders by fund report. Confirm that these changes
  are reflected in the report results.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-07 13:30:07 UTC
Created attachment 107964 [details] [review]
Bug 26087: Add table configuration and export options to orders by fund report

This patch adds column configuration to the orders by funds report
results table. The "Basket" column is excluded from being togglable.

To test, apply the patch and clear your browser cache if necessary.

- Go to Reports -> Orders by fund
- Submit parameters which will return multiple results.
- Test that the "Column visibility" button works to show and hide
  columns. The "Basket" column should be excluded.
- Test the export options (Excel, CSV, etc)
- Go to Administration -> Columns settings and edit the default
  configuration of the orders by fund report. Confirm that these changes
  are reflected in the report results.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-13 05:57:51 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-17 15:11:02 UTC
enhancement will not be backported to 20.05.x